org.apache.xerces.impl.xpath

## Class XPath20

- java.lang.Object
- - org.apache.xerces.impl.xpath.XPath20

-     public class XPath20
      extends java.lang.Object

  Bare minimal XPath 2.0 implementation for schema type alternatives.
  Version:
    $Id: XPath20.java 1162200 2011-08-26 18:34:10Z sandygao $
  Author:
    Hiranya Jayathilaka, University of Moratuwa

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `fExpression`
    `protected org.apache.xerces.xni.NamespaceContext` | `fNsContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath20(java.lang.String xpath, SymbolTable symbolTable, org.apache.xerces.xni.NamespaceContext nsContext)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `evaluateTest(org.apache.xerces.xni.QName element, org.apache.xerces.xni.XMLAttributes attributes)` Evaluate the test XPath expression using the attribute information and element information.
    `java.lang.String` | `getXPathStrValue()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fExpression

          protected final java.lang.String fExpression

    - #### fNsContext

          protected final org.apache.xerces.xni.NamespaceContext fNsContext

  - ### Constructor Detail

    - #### XPath20

          public XPath20(java.lang.String xpath,
                 SymbolTable symbolTable,
                 org.apache.xerces.xni.NamespaceContext nsContext)
                  throws XPathException

      Throws:
        `XPathException`

  - ### Method Detail

    - #### evaluateTest

          public boolean evaluateTest(org.apache.xerces.xni.QName element,
                             org.apache.xerces.xni.XMLAttributes attributes)

      Evaluate the test XPath expression using the attribute information and element information.
      Parameters:
        `element` - QName of the current element
        `attributes` - attributes collection of the current element
      Returns:
        true if the test evaluates successfully and false otherwise

    - #### getXPathStrValue

          public java.lang.String getXPathStrValue()

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.